Subject: Re: [PATCH 1/2] status: really ignore config with --porcelain

From: Matthieu Moy <[email-masked]>
Date: Mon, 24 Jun 2013 19:21:37 +0200

Junio C Hamano <[email-masked]> writes:

> That means after we add more and more other options like --branch
> that enrich the output in several years, scripts that want to use
> the enriched data need to pass tons of options to get what they
> want, which is not very nice,

Right, but accepting status.branch would not even solve that. Script
writers should not assume that status.branch is set. So, the --branch is
still required.

Actually, that would even be worse, as a script writer who's used to
status.branch being set would not even notice that --branch is missing.
So, he'd still need it, but would have greater chance to miss it.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/